# List Query Sets

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"List Query Sets"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/query_sets"}
  context={"endpoint"}
>
  
</MethodEndpoint>

List query sets in this workspace, most recently created first.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}},{"in":"query","name":"page","required":false,"schema":{"default":1,"minimum":1,"title":"Page","type":"integer"}},{"in":"query","name":"limit","required":false,"schema":{"default":10,"maximum":100,"minimum":1,"title":"Limit","type":"integer"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"properties":{"data":{"items":{"properties":{"created_at":{"format":"date-time","title":"Created At","type":"string"},"created_by":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"title":"Created By"},"name":{"title":"Name","type":"string"},"query_count":{"title":"Query Count","type":"integer"},"query_set_id":{"format":"uuid","title":"Query Set Id","type":"string"}},"required":["query_set_id","name","query_count","created_by","created_at"],"title":"QuerySetResponse","type":"object"},"title":"Data","type":"array"},"has_more":{"title":"Has More","type":"boolean"},"total":{"title":"Total","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedQuerySets","type":"object"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
